package com.inspur.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.inspur.common.annotation.Excel;
import com.inspur.common.core.domain.BaseEntity;

/**
 * 人员信息对象 elevator_person_info
 *
 * @author inspur
 * @date 2024-09-30
 */
public class ElevatorPersonInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 人员姓名 */
    @Excel(name = "人员姓名")
    private String personName;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phoneNo;

    /** 安全码 */
    @Excel(name = "安全码")
    private String safeCode;

    /** 救援码 */
    @Excel(name = "救援码")
    private String rescueCode;

    /** 人员类型 1-物业人员 2-维保人员  3-救援人员 */
    @Excel(name = "人员类型 1-物业人员 2-维保人员  3-救援人员")
    private Long personType;

    private String elevatorId;

    public String getElevatorId() {
        return elevatorId;
    }

    public void setElevatorId(String elevatorId) {
        this.elevatorId = elevatorId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPersonName(String personName)
    {
        this.personName = personName;
    }

    public String getPersonName()
    {
        return personName;
    }
    public void setUnitName(String unitName)
    {
        this.unitName = unitName;
    }

    public String getUnitName()
    {
        return unitName;
    }
    public void setPhoneNo(String phoneNo)
    {
        this.phoneNo = phoneNo;
    }

    public String getPhoneNo()
    {
        return phoneNo;
    }
    public void setSafeCode(String safeCode)
    {
        this.safeCode = safeCode;
    }

    public String getSafeCode()
    {
        return safeCode;
    }
    public void setRescueCode(String rescueCode)
    {
        this.rescueCode = rescueCode;
    }

    public String getRescueCode()
    {
        return rescueCode;
    }
    public void setPersonType(Long personType)
    {
        this.personType = personType;
    }

    public Long getPersonType()
    {
        return personType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("personName", getPersonName())
                .append("unitName", getUnitName())
                .append("phoneNo", getPhoneNo())
                .append("safeCode", getSafeCode())
                .append("rescueCode", getRescueCode())
                .append("personType", getPersonType())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
